This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 497644 - Error activating XKB configuration
Error activating XKB configuration
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-keyboard (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-25 10:42 EDT by Bernhard Schuster
Modified: 2010-07-13 12:02 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-28 18:32:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
current in use xorg.conf (72 bytes, text/plain)
2009-04-26 06:23 EDT, Bernhard Schuster
no flags Details
Xorg.0.log (174.22 KB, text/plain)
2009-04-26 06:24 EDT, Bernhard Schuster
no flags Details
Xorg.0.log.old (63.71 KB, text/plain)
2009-04-26 06:24 EDT, Bernhard Schuster
no flags Details
sys keyboard (50 bytes, text/plain)
2009-04-28 02:16 EDT, Bernhard Schuster
no flags Details

  None (edit)
Description Bernhard Schuster 2009-04-25 10:42:37 EDT
Description of problem:


Version-Release number of selected component (if applicable):
Rawhide / 11beta / 10.92

Dialog says:

Error activating XKB configuration.
It can happen under various circumstances:
- a bug in libxklavier library
- a bug in X server (xkbcomp, xmodmap utilities)
- X server with incompatible libxkbfile implementation

X server version data:
The X.Org Foundation
10600000


How reproducible:


Steps to Reproduce:
1. Install Fedora beta
2. First login complete
3. Wait
  
Actual results:


Expected results:
No error pop up

Additional info:

 xprop -root | grep XKB
_XKB_RULES_NAMES_BACKUP(STRING) = "evdev", "evdev", "us", "nodeadkeys", ""
_XKB_RULES_NAMES(STRING) = "evdev", "evdev", "de", "", ""

gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd
 layouts = []
 options = []
Comment 1 Matěj Cepl 2009-04-26 05:45:04 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Bernhard Schuster 2009-04-26 06:23:46 EDT
Created attachment 341340 [details]
current in use xorg.conf
Comment 3 Bernhard Schuster 2009-04-26 06:24:24 EDT
Created attachment 341341 [details]
Xorg.0.log
Comment 4 Bernhard Schuster 2009-04-26 06:24:58 EDT
Created attachment 341342 [details]
Xorg.0.log.old
Comment 5 Peter Hutterer 2009-04-27 22:26:54 EDT
please attach your /etc/sysconfig/keyboard too.
Comment 6 Bernhard Schuster 2009-04-28 02:16:50 EDT
Created attachment 341519 [details]
sys keyboard
Comment 7 Bernhard Schuster 2009-04-28 02:19:06 EDT
Note: I got over that se linux blocked something regarding ck-get-x11-serv (2 times)


SELinux is preventing ck-get-x11-serv (consolekit_t) "search" xdm_var_run_t.

Detaillierte Beschreibung:

SELinux denied access requested by ck-get-x11-serv. It is not expected that this
access is required by ck-get-x11-serv and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allow access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Additional Information:

Quellkontext                  system_u:system_r:consolekit_t:s0-s0:c0.c1023
Zielkontext                   system_u:object_r:xdm_var_run_t:s0
Zielobjekte                   gdm [ dir ]
Quelle                        ck-get-x11-serv
Quellen-Pfad                  /usr/libexec/ck-get-x11-server-pid
Port                          <Unbekannt>
Host                          betabot.localdomain
Quellen-RPM-Pakete            ConsoleKit-x11-0.3.0-8.fc11
Ziel-RPM-Pakete               
RPM-Richtlinie                selinux-policy-3.6.12-9.fc11
SELinux aktiviert             True
Richtlinienversion            targeted
MLS aktiviert                 True
Enforcing-Modus               Enforcing
Plugin-Name                   catchall
Hostname                      betabot.localdomain
Plattform                     Linux betabot.localdomain 2.6.29.1-102.fc11.x86_64
                              #1 SMP Mon Apr 20 15:33:38 EDT 2009 x86_64 x86_64
Anzahl der Alarme             4
Zuerst gesehen                Sa 25 Apr 2009 19:33:35 CEST
Zuletzt gesehen               Di 28 Apr 2009 08:10:11 CEST
Lokale ID                     54677e4f-e622-43d2-9cea-0cc677a3c8e6
Zeilennummern                 

Raw-Audit-Meldungen           

node=betabot.localdomain type=AVC msg=audit(1240899011.421:18): avc:  denied  { search } for  pid=2499 comm="ck-get-x11-serv" name="gdm" dev=sda2 ino=163149 scontext=system_u:system_r:consolekit_t:s0-s0:c0.c1023 tcontext=system_u:object_r:xdm_var_run_t:s0 tclass=dir

node=betabot.localdomain type=SYSCALL msg=audit(1240899011.421:18): arch=c000003e syscall=21 success=no exit=-13 a0=7fff3ac36fab a1=4 a2=0 a3=7fff3ac35673 items=0 ppid=2496 pid=2499 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="ck-get-x11-serv" exe="/usr/libexec/ck-get-x11-server-pid" subj=system_u:system_r:consolekit_t:s0-s0:c0.c1023 key=(null)
Comment 8 Dennis Jacobfeuerborn 2009-04-28 17:45:30 EDT
I saw the same error when running the beta and I just encountered it again after making a fresh install of the f11 preview release.
Comment 9 Bug Zapper 2009-06-09 10:33:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Alexandr Kara 2009-06-14 06:14:29 EDT
Fixed by going to System -> Preferences -> Keyboard -> Layouts and selecting "Reset to Defaults" and changing settings again.

Maybe changing "Keyboard model" to "Evdev-managed keyboard" would help, too.
Comment 11 Matěj Cepl 2009-11-05 13:27:33 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 12 Matěj Cepl 2010-02-26 07:25:39 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 13 Bernhard Schuster 2010-02-26 08:25:51 EST
There is some easy fix, using the UI and reselct the keyboard layout. This fixed it for me and it never popped up again (Fedora 11 and 12, though I atm can't remember if F12 had it all).
Comment 14 Peter Hutterer 2010-02-28 18:32:55 EST
closing as WORKSFORME per comment 13.
Comment 15 darkside720 2010-07-13 10:40:25 EDT
I am also getting the same error when attempting to launch a VNC session with the same error message. When attempting to grab the following, I get no response.

 xprop -root | grep XKB

gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd


Here my xorg.conf file:

more xorg.conf

# XFree86 4 configuration created by pyxf86config

Section "ServerLayout"
        Identifier     "Default Layout"
        Screen      0  "Screen0" 0 0
        InputDevice    "Mouse0" "CorePointer"
        InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "Files"

# RgbPath is the location of the RGB database.  Note, this is the name of the
# file minus the extension (like ".txt" or ".db").  There is normally
# no need to change the default.
# Multiple FontPath entries are allowed (they are concatenated together)
# By default, Red Hat 6.0 and later now use a font server independent of
# the X server to render fonts.
        RgbPath      "/usr/X11R6/lib/X11/rgb"
        FontPath     "unix/:7100"
EndSection.
Section "Module"
        Load  "dbe"
        Load  "extmod"
        Load  "fbdevhw"
        Load  "glx"
        Load  "record"
        Load  "freetype"
        Load  "type1"
        Load  "dri"
EndSection

Section "InputDevice"

# Specify which keyboard LEDs can be user-controlled (eg, with xset(1))
#       Option  "Xleds"         "1 2 3"
# To disable the XKEYBOARD extension, uncomment XkbDisable.
#       Option  "XkbDisable"
# To customise the XKB settings to suit your keyboard, modify the
# lines below (which are the defaults).  For example, for a non-U.S.
# keyboard, you will probably want to use:
#       Option  "XkbModel"      "pc102"
# If you have a US Microsoft Natural keyboard, you can use:
#       Option  "XkbModel"      "microsoft"
#
# Then to change the language, change the Layout setting.
# For example, a german layout can be obtained with:
#       Option  "XkbLayout"     "de"
# or:
#       Option  "XkbLayout"     "de"
#       Option  "XkbVariant"    "nodeadkeys"
#
# If you'd like to switch the positions of your capslock and
# control keys, use:
#       Option  "XkbOptions"    "ctrl:swapcaps"
# Or if you just want both to be control, use:
#       Option  "XkbOptions"    "ctrl:nocaps"
#
        Identifier  "Keyboard0"
        Driver      "kbd"
        Option      "XkbModel" "pc105"
        Option      "XkbLayout" "us"
        Option      "XkbRules" "xorg"
EndSection

Section "InputDevice"
Identifier  "Mouse0"
        Driver      "mouse"
        Option      "Protocol" "IMPS/2"
        Option      "Device" "/dev/input/mice"
        Option      "ZAxisMapping" "4 5"
        Option      "Emulate3Buttons" "yes"
EndSection

Section "Monitor"
        Identifier   "Monitor0"
        VendorName   "Monitor Vendor"
        ModelName    "Unprobed Monitor"
        HorizSync    31.5 - 37.9
        VertRefresh  50.0 - 61.0
        Option      "dpms"
EndSection

Section "Device"
        Identifier  "Videocard0"
        Driver      "ati"
        VendorName  "Videocard vendor"
        BoardName   "ATI ES1000"
EndSection
Section "Screen"
        Identifier "Screen0"
        Device     "Videocard0"
        Monitor    "Monitor0"
        DefaultDepth     24
        SubSection "Display"
                Viewport   0 0
                Depth     24
                Modes    "800x600" "640x480"
        EndSubSection
EndSection

Section "DRI"
        Group        0
        Mode         0666
EndSection
Comment 16 darkside720 2010-07-13 12:02:07 EDT
I am also getting the same error when attempting to launch a VNC session with the same error message. When attempting to grab the following, I get no response.

 xprop -root | grep XKB

gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd


Here my xorg.conf file:

more xorg.conf

# XFree86 4 configuration created by pyxf86config

Section "ServerLayout"
        Identifier     "Default Layout"
        Screen      0  "Screen0" 0 0
        InputDevice    "Mouse0" "CorePointer"
        InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "Files"

# RgbPath is the location of the RGB database.  Note, this is the name of the
# file minus the extension (like ".txt" or ".db").  There is normally
# no need to change the default.
# Multiple FontPath entries are allowed (they are concatenated together)
# By default, Red Hat 6.0 and later now use a font server independent of
# the X server to render fonts.
        RgbPath      "/usr/X11R6/lib/X11/rgb"
        FontPath     "unix/:7100"
EndSection.
Section "Module"
        Load  "dbe"
        Load  "extmod"
        Load  "fbdevhw"
        Load  "glx"
        Load  "record"
        Load  "freetype"
        Load  "type1"
        Load  "dri"
EndSection

Section "InputDevice"

# Specify which keyboard LEDs can be user-controlled (eg, with xset(1))
#       Option  "Xleds"         "1 2 3"
# To disable the XKEYBOARD extension, uncomment XkbDisable.
#       Option  "XkbDisable"
# To customise the XKB settings to suit your keyboard, modify the
# lines below (which are the defaults).  For example, for a non-U.S.
# keyboard, you will probably want to use:
#       Option  "XkbModel"      "pc102"
# If you have a US Microsoft Natural keyboard, you can use:
#       Option  "XkbModel"      "microsoft"
#
# Then to change the language, change the Layout setting.
# For example, a german layout can be obtained with:
#       Option  "XkbLayout"     "de"
# or:
#       Option  "XkbLayout"     "de"
#       Option  "XkbVariant"    "nodeadkeys"
#
# If you'd like to switch the positions of your capslock and
# control keys, use:
#       Option  "XkbOptions"    "ctrl:swapcaps"
# Or if you just want both to be control, use:
#       Option  "XkbOptions"    "ctrl:nocaps"
#
        Identifier  "Keyboard0"
        Driver      "kbd"
        Option      "XkbModel" "pc105"
        Option      "XkbLayout" "us"
        Option      "XkbRules" "xorg"
EndSection

Section "InputDevice"
Identifier  "Mouse0"
        Driver      "mouse"
        Option      "Protocol" "IMPS/2"
        Option      "Device" "/dev/input/mice"
        Option      "ZAxisMapping" "4 5"
        Option      "Emulate3Buttons" "yes"
EndSection

Section "Monitor"
        Identifier   "Monitor0"
        VendorName   "Monitor Vendor"
        ModelName    "Unprobed Monitor"
        HorizSync    31.5 - 37.9
        VertRefresh  50.0 - 61.0
        Option      "dpms"
EndSection

Section "Device"
        Identifier  "Videocard0"
        Driver      "ati"
        VendorName  "Videocard vendor"
        BoardName   "ATI ES1000"
EndSection
Section "Screen"
        Identifier "Screen0"
        Device     "Videocard0"
        Monitor    "Monitor0"
        DefaultDepth     24
        SubSection "Display"
                Viewport   0 0
                Depth     24
                Modes    "800x600" "640x480"
        EndSubSection
EndSection

Section "DRI"
        Group        0
        Mode         0666
EndSection

Note You need to log in before you can comment on or make changes to this bug.